<?php
class files_properties_image{
protected $_path_abs;

function __construct($path_abs)
{
$this -> _path_abs = $path_abs;
}


public function getProperties()
{
$properties = array();

list ($properties['width'],$properties['height']) = @getimagesize($this -> _path_abs);

$properties['properties'] = 'Разрешение: '.$properties['width'].'x'.$properties['height'];

return $properties;
}


}
?>
